#include <stdio.h>
#include <stdlib.h>

#define BUF_LEN 1024

#define GRADE_FIRST 70
#define GRADE_UPPER_SECOND 60
#define GRADE_LOWER_SECOND 50
#define GRADE_THIRD 40

int main() {
  int rc, mark;
  FILE *fp;
  char buf[BUF_LEN];
  char first_name[BUF_LEN];
  char last_name[BUF_LEN];

  fp = fopen("Results.txt", "r");
  if (fp == NULL) {
    printf("Unable to open file Results.txt\n");
    return 1;
  }

  while (fgets(buf, BUF_LEN, fp) != NULL) {
    rc = sscanf(buf, "%s %s\t%d", first_name, last_name, &mark);
    if (rc != 3) {
      printf("Failed to read line: %s\n", buf);
      return 1;
    }
    printf("%s %s\t", first_name, last_name);
    
    if (mark >= GRADE_FIRST) {
      printf("First\n");
    } else if (mark >= GRADE_UPPER_SECOND ) {
      printf("Upper second\n");
    } else if (mark >= GRADE_LOWER_SECOND) {
      printf("Lower second\n");
    } else if (mark >= GRADE_THIRD) {
      printf("Third\n");
    } else {
      printf("Fail\n");
    }
  }
}
